<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////

////Conexiones y tiempos de ejecución
$VpnEn=$_GET["VPN"] or $VpnEn=$_POST["VPN"];
$LtEn=$_GET["LT"] or $LtEn=$_POST["LT"];
ini_set('max_execution_time', $LtEn);
include ("../Conections/$VpnEn.php");
include ("../Funcion_Numerico.php");

$Cve_Modulo = "CMOD201506100171";

///Arrastra Variables Fijas
$UsuEn=$_POST['UsuKP'] or $UsuEn=$_GET['UsuKP'];
$TokEn=$_POST["TokenKP"] or $TokEn=$_GET["TokenKP"];
$IDSeEn=$_POST["IdDAcce"] or $IDSeEn=$_GET["IdDAcce"];
$CtaSesionEn=$_POST['CtaSKP'] or $CtaSesionEn=$_GET['CtaSKP'];

	
	/////////Identificar personalización 2
		$sqlP2 = mysql_query("select * from wms_personaliza2 where ID='1'");
		if (mysql_numrows($sqlP2)==0) echo "";
		else{
		$registroP2=mysql_fetch_array($sqlP2);
		}
		if (mysql_numrows($sqlP2)>0)
		{
		$Titulo=$registroP2["TITULO_PAGINAS"];
		}
	
	/////////Identificar configuracion 1
		$sqlC1 = mysql_query("select * from wms_configura1 where ID='1'");
		if (mysql_numrows($sqlC1)==0) echo "";
		else{
		$registroC1=mysql_fetch_array($sqlC1);
		}
		if (mysql_numrows($sqlC1)>0)
		{
		$TimeInac=$registroC1["TIEMPO_INACTIVIDAD"];
		}
		
		//////Identificar la Cuenta y la Bodega
			$sqlCR1 = mysql_query("select * from wms_configura_altacuentas where NOMBRE_CUENTA='$CtaSesionEn'");
			if (mysql_numrows($sqlCR1)==0) echo "";
			else{
			$registroCR1=mysql_fetch_array($sqlCR1);
			}
			if (mysql_numrows($sqlCR1)>0)
			{
			$CveBodCR1=$registroCR1["CVE_BODEGA"];
			$CveCueCR1=$registroCR1["CVE_CUENTA"];
			}
			
				$sqlCR2 = mysql_query("select * from wms_configura_altabodega where CVE_BODEGA='$CveBodCR1'");
				if (mysql_numrows($sqlCR2)==0) echo "";
				else{
				$registroCR2=mysql_fetch_array($sqlCR2);
				}
				if (mysql_numrows($sqlCR2)>0)
				{
				$NomBodCR2=$registroCR2["NOMBRE_BODEGA"];
				}
		
////++++++++++++++ FIN CONFIGURACIÓN FASE 1 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++////		
?>		
<!--<!DOCTYPE html>-->
<!--<html>-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
					<head>
						<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="viewport" content="width=device-width"/>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">

<link rel="shortcut icon" href="../SIMA_Resourses/images/favicon.ico">
<title><?PHP echo $Titulo; ?></title>
<style type="text/css">
.Clase_TipoLetraTitulos {
	font-family: <?PHP echo $FuTi_Form; ?>;
	font-size:<?PHP echo $TaTi_Form; ?>px;
	color:<?PHP echo $BgTi_Form; ?>;
}
.Clase_TipoLetra {
	font-family: Microsoft Sans Serif;
	font-size:12px;
	color:#333;
}
.Clase_INPUT_Text {
	border: 1px solid <?PHP echo $Borde_Form; ?>;
	background: #FFFFFF;
	COLOR: #000000;
	FONT-FAMILY: Arial, Helvetica, sans-serif;
	FONT-SIZE: 12px;
	}

</style>
<link href="jquery-mobile/jquery.mobile-1.0.min.css" rel="stylesheet" type="text/css"/>
<style type="text/css">
body,td,th {
	font-size: 9px;
}
</style>
<script src="jquery-mobile/jquery-1.6.4.min.js" type="text/javascript"></script>
<script src="jquery-mobile/jquery.mobile-1.0.min.js" type="text/javascript"></script>

<!-- Inicia Validador de Inactividad -->
<script type="text/javascript">
var Inac;
function ini() {
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
function parar() {
  clearTimeout(Inac);
  Inac = setTimeout('location="LogOff_Inactividad.php?TokenKP=<?PHP echo $TokEn;?>&UsuKP=<?PHP echo $UsuEn;?>&IdDAcce=<?PHP echo $IDSeEn;?>&CtaSKP=<?PHP echo $CtaSesionEn;?>&VPN=<?PHP echo $VpnEn;?>&LT=<?PHP echo $LtEn;?>"',<?PHP echo $TimeInac; ?>);
}
</script>

<!-- Termina Validador de Inactividad -->

</head>

<body onload="ini()" onkeypress="parar()" onclick="parar()"> 
<!-- Inicia Cuerpo de la Interfaz Gráfica -->
<div data-role="page" id="page">
<?PHP
////++++++++++++++++ CONFIGURACIÓN FASE 2 DE PARAMETROS ESTANTAR EN PLATAFORMA ++++++++++++++++////
		
	/////////Identifica si el token aun esta vigente
		$ExtAño = substr($TokEn, -28, 4);    // devuelve el año
		$ExtDia = substr($TokEn, -7, 2);    // devuelve el mes
		$ExtMes = substr($TokEn, -14, 2);    // devuelve el día
		$FechTok=$ExtDia."/".$ExtMes."/".$ExtAño;
		$FechAct=$PreTo4=date("d/m/Y");
		
		if ($FechTok<>$FechAct)
		{
			echo "<script>alert('La sesión del Token de seguridad ha caducado.\\nFavor de iniciar sesion nuevamente.');</script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_Force.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'>";
		}
		else
		{ ///Inicia IF Sesion Token
		
	/////////Identificar permisos de acceso 1
		$sqlPA1 = mysql_query("select * from tabla_usuarios where USUARION='$UsuEn'");
		if (mysql_numrows($sqlPA1)==0) 
		{
			echo "<script>alert('CODIGO: LOGSYS#00001\\nEl Usuario en sesión ha sido truncado por inexistencia.'); </script>";
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogIn.php'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 1
		
	/////////Identificar permisos de acceso 2
		$sqlPA2 = mysql_query("select * from wms_configurapermisosnivelmodulo where USUARIO='$UsuEn' AND CVE_MODULO='$Cve_Modulo'");
		if (mysql_numrows($sqlPA2)==0) 
		{
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=SinPermisos.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo'>";
		}
		else
		{ ///Inicia IF Permiso de Acceso 2
		
		/////////Identificar permisos de acceso 3 - Acreditación de Sesión Activa	
		$sqlPA3 = mysql_query("select * from tabla_controlsesiones where USUARIO='$UsuEn'");
		if (mysql_numrows($sqlPA3)==0) 
		{
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=LogOff_ReLogIn.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn'";
		}
		else
		{ ///Inicia IF Permiso de Acceso 3
			
			//////HORA y FECHA/////
			$Hora=time();
			$HoraOK=date("H:i:s",$Hora);
			$Fecha=date("Y/m/d");
		
		$ut=$_POST['ut'] OR $ut=$_GET['ut'];
		$idtarea =$_POST['idtarea'] OR $idtarea=$_GET['idtarea'];
		$uborigen =$_POST['uborigen'] OR $uborigen=$_GET['uborigen'];
		$cantidad =$_POST['cantidad'] OR $cantidad=$_GET['cantidad'];
		$lote =$_POST['lote'] OR $lote=$_GET['lote'];
		$lotep =$_POST['lotep'] OR $lotep=$_GET['lotep'];
		$sku =$_POST['sku'] OR $sku=$_GET['sku'];
		$pallet =$_POST['pallet'] OR $pallet=$_GET['pallet'];
		
		$tr = mysql_query("SELECT tabla_tareas_bulk.*,tabla_bulk.LOTE,tabla_bulk.LOTEP,tabla_bulk.DESCRIPCION,tabla_bulk.ESTADO_CALIDAD,tabla_bulk.OBSERVACIONES,tabla_bulk.ANOTA_1,tabla_bulk.ANOTA_2 FROM tabla_tareas_bulk RIGHT JOIN tabla_bulk ON tabla_bulk.ID=tabla_tareas_bulk.ID_BULK  WHERE tabla_tareas_bulk.ID='$idtarea'");
		if(!$tr){
			echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		EXIT();
		}
		$tarea=mysql_fetch_array($tr);
		
		//echo "<script>alert('$idtarea')</script>";
		$ubtemp=mysql_query("SELECT * FROM tabla_ubicaciones WHERE CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1' AND CLAVEUBICACION='$ut' AND TIPODEUBICACION='BULK-TEMPORAL' ");
		if(mysql_numrows($ubtemp)==0){
		echo "<script>alert('La ubicación temporal ingresada no es válida\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		EXIT();
		}
		
		if(strcasecmp($tarea['UBICACION'], $uborigen) != 0){
		echo "<script>alert('La ubicación de origen ingresada no es válida\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		EXIT();
		}
		if($pallet!=$tarea['NO_PALLET']){
		echo "<script>alert('El número de pallet introducido no coincide con el solicitado\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		EXIT();
		}
		
		$sqlD1 = mysql_query("select * from tabla_alta_producto_upc WHERE CVE_CUENTA='$CveCueCR1' AND UPC='$SkuEn'");
		if (mysql_numrows($sqlD1)!=0)
		{
		$cod = mysql_fetch_array($sqlD1);
		$sku = $cod['SKU'];
		}
		
		if(strcasecmp($tarea['SKU'], $sku) != 0){
		echo "<script>alert('El sku introducido no coincide con el solicitado.\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		EXIT();
		}
		
		if($tarea['LOTE']!=NULL){
		if($lote!=$tarea['LOTE']){
		echo "<script>alert('El lote introducido no coincide con el solicitado\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
			}
		}
		
		if($tarea['LOTEP']!=NULL){
		if($lotep!=$tarea['LOTEP']){
		echo "<script>alert('El lote prod introducido no coincide con el solicitado\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
			}
		}
		
		if(	($cantidad>$tarea['CANT_X_T']) or ($cantidad<0)){
		echo "<script>alert('La cantidad introducida no es válida\\nFavor de corroborarlo.')</script>";
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		}
		
		$tr = mysql_query("SELECT CANTIDAD FROM tabla_inventario WHERE CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$pallet' and UBICACION='$uborigen'");
		if($tr){
		$cplcx=mysql_fetch_array($tr);
		$cnpll=$cplcx[0];
		}else{$cnpll=0;}

		if($cantidad>$cnpll){
		if($cnpll==0){
		echo "<script>alert('No se encuentra el registro del pallet en la ubicación.\\nFavor de corroborarlo.')</script>";}else{
		echo "<script>alert('Solo se tiene registro de $cnpll unidad(es) en la ubicación.\\nFavor de corroborarlo.')</script>";}		
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga7.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut&idtarea=$idtarea&uborigen=$uborigen&cantidad=$cantidad&lote=$lote&lotep=$lotep&sku=$sku&pallet=$pallet'>";
		exit();
		}
		
		function kardex($unidades,$palletx,$ubdestino){
		global $CveCueCR1;
		global $CveBodCR1;
		global $UsuEn;
		$pall = mysql_query("select * from tabla_inventario where NO_PALLET='$palletx' AND CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveBodCR1'");
		$d = mysql_fetch_array($pall);
			if($unidades==$d['CANTIDAD']){
					
								$Hora=time();
								$HoraOK=date("H:i:s",$Hora);
								$Fecha=date("Y/m/d");
								
								$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
								$libK = mysql_query($sqlIDK);
								$rs_libK = mysql_fetch_assoc($libK); 
								$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
								$NMovimiento="TRASPASO";							
								
								//////Guardar el registro a MENOS en la Table_Kardex//////////
								$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$d[UBICACION]','$d[NO_PALLET]','-$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
								
								$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
								
								//////Guardar el registro a MAS en la Table_Kardex//////////
								$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
								values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$d[NO_PALLET]','$d[CANTIDAD]','$HoraOK','$Fecha','$UsuEn')";
								$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
								
								//Actualizar ubicación del pallet
								$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'") or die(mysql_error());
								$pri=mysql_fetch_array($priori);
								
								$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'") or die(mysql_error());
								$tip=mysql_fetch_array($tipo);
								
								$updt = "UPDATE tabla_inventario SET UBICACION = '$ubdestino',PRIORIDAD='$pri[0]',TIPO_UBICACION='$tip[0]' WHERE NO_PALLET='$palletx' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'";
								$updtubic=mysql_query($updt) or die(mysql_error());
					}
			else{
					//division y traspaso
					////////Resta el Valor de la Cantidad del Pallet Original
					$CanSobPallOri=$d['CANTIDAD']-$unidades;
					$ArmPallOri="1 pallet de ".$CanSobPallOri." piezas";
					$CPKDiv=$unidades;
					//ECHO "<SCRIPT>alert('cantidad tomada: $unidades, palet:$d[CANTIDAD], sobra: $CanSobPallOri')</SCRIPT>";
					/////Guarda la división del Pallet Original en la BD - Modifica la tabla del Inventario
					$resultadoGM1=mysql_query("UPDATE tabla_inventario SET CANTIDAD='$CanSobPallOri', ARM_PALLET='$ArmPallOri' WHERE CVE_CUENTA='$CveCueCR1' AND NO_PALLET='$palletx' LIMIT 1") or die(mysql_error());
					
					/////////Identificar el prefijo configurado
					$sqlIDE1 = mysql_query("select * from wms_configura_pallet WHERE CVE_CUENTA='$CveCueCR1'");
					if (mysql_numrows($sqlIDE1)==0) echo "";
					else{
					$registroIDE1=mysql_fetch_array($sqlIDE1);
					}
					if (mysql_numrows($sqlIDE1)>0)
					{
					$PrefijoPal=$registroIDE1["PREFIJO"];
					}
					
					//////Generador de Folio para guardar el concecutivo de la clave del Pallet
					$FechaPallet = date("Ymd");
					$sqlIDP = "select max(IDINCRE) as ultimo_FOLIOP from tabla_consepallet WHERE FECHA='$FechaPallet'"; 
					$libP = mysql_query($sqlIDP); 
					$rs_libP = mysql_fetch_assoc($libP); 
					$id_nuevoP = $rs_libP['ultimo_FOLIOP'] + 1;
					
					if ($id_nuevoP <=9)
					{
					$IdenCeros="0000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=10 and $id_nuevoP <=99)
					{
					$IdenCeros="000";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
				
					if ($id_nuevoP >=100 and $id_nuevoP <=999)
					{
					$IdenCeros="00";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
					
					if ($id_nuevoP >=1000 and $id_nuevoP <=9999)
					{
					$IdenCeros="0";
					$ClavePallet=$PrefijoPal.$FechaPallet.$IdenCeros.$id_nuevoP;
					}
										
					if ($id_nuevoP >=10000)
					{
					$ClavePallet=$PrefijoPal.$FechaPallet.$id_nuevoP;
					}
					
					////Generador de Folio tabla Inventarios
					$sqlID = "select max(ID) as ultimo_FOLIO from tabla_inventario"; 
					$lib = mysql_query($sqlID); 
					$rs_lib = mysql_fetch_assoc($lib); 
					$id_nuevoPPall = $rs_lib['ultimo_FOLIO'] + 1;
					
					//////GUARDAR EL PALLET NUEVO EN LA TABLA INVENTARIO//////////
					$ArmadoDivision="1 pallet de ".$unidades." piezas";
					$FechaEnt=date("Y/m/d");
					////Hora y Fecha
					$Hora2=time();
					$HoraOK2=date("H:i:s",$Hora2);
					
					$XR=mysql_query("SELECT PZASXCAJA,CAJAXPALLET FROM tabla_altaproducto WHERE SKU='$d[SKU]' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
					$EE=mysql_fetch_array($XR);
					$piezasxcaja = $EE[0];
					$cajxpall = $EE[1];
					
					$priori=mysql_query("SELECT PRIORIDAD FROM tabla_prioridad WHERE UBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'") or die(mysql_error());
					$pri=mysql_fetch_array($priori);
					
					$tipo=mysql_query("SELECT TIPODEUBICACION FROM tabla_ubicaciones WHERE CLAVEUBICACION='$ubdestino' AND CVE_BODEGA='$CveBodCR1' AND CUENTA='$CveCueCR1'");
					$tip=mysql_fetch_array($tipo);
					$tipoub=$tip[0];
				
				//echo "<script>alert('$sqlDP')</script>";
				
					$resultadoDP=mysql_query("insert tabla_inventario (TIPO_UBICACION,ID,CVE_BODEGA,CVE_CUENTA,NO_DOCUMENTO,NO_DOC_COMPLE,SKU,SKU_ALT,DESCRIPCION,FECHA_ENTRADA,CANTIDAD,LOTE,LOTEWMS,LOTEPRODU,CADUCIDAD,FACTURA,PROVEEDOR,PIEZASXCAJA,CAJASXPALLET,ARM_PALLET,NO_PALLET,UBICACION,PRIORIDAD,EDO_CALIDAD,USUARIO_ALTA,HORA,FECHA) values('$tipoub','$id_nuevoPPall','$CveBodCR1','$CveCueCR1','$d[NO_DOCUMENTO]','$d[NO_DOC_COMPLE]','$d[SKU]','$d[SKU_ALT]','$d[DESCRIPCION]','$d[FECHA_ENTRADA]','$unidades','$d[LOTE]','$d[LOTEWMS]','$d[LOTEPRODU]','$d[CADUCIDAD]','$d[FACTURA]','$d[PROVEEDOR]','$d[PIEZASXCAJA]','$d[CAJASXPALLET]','$d[ARM_PALLET]','$ClavePallet','$ubdestino','$pri[0]','$d[EDO_CALIDAD]','$UsuEn','$HoraOK2','$FechaEnt')") or die(mysql_error());
					
					/////Generador de Folio para guardar el consecutivo del Pallet
					$sqlIDP2 = "select max(ID) as ultimo_FOLIOP2 from tabla_consepallet"; 
					$libP2 = mysql_query($sqlIDP2); 
					$rs_libP2 = mysql_fetch_assoc($libP2); 
					$id_nuevoP2 = $rs_libP2['ultimo_FOLIOP2'] + 1;
									
					/////Guardar en la BD el consecutivo del No. de Pallet
					$resultadoGCP=mysql_query("insert tabla_consepallet (ID,CVE_BODEGA,CVE_CUENTA,IDINCRE,NO_DOCUMENTO,NO_PALLET,FECHA)
        			values('$id_nuevoP2','$CveBodCR1','$CveCueCR1','$id_nuevoP','$CNPNoDocu','$ClavePallet','$FechaPallet')") or die(mysql_error());
					
					////Generador de Folio para Guardar el kardex (Registro a MENOS)
					////Hora y Fecha
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK1 = "select max(ID) as ultimo_FOLIOPK1 from tabla_kardex"; 
					$libPK1 = mysql_query($sqlIDPK1); 
					$rs_libPK1 = mysql_fetch_assoc($libPK1); 
					$id_nuevoPK1 = $rs_libPK1['ultimo_FOLIOPK1'] + 1;
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$FechaEnt=date("Y/m/d");
					
					/////Guarda la División del Pallet Orignal en el Kardex con un Registro Nuevo
					$resultadoMK=mysql_query("insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
						values('$id_nuevoPK1','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','DIVISION','$d[UBICACION]','$palletx','-$unidades','$FechaEnt','$HoraOK','$UsuEn')") or die(mysql_error());
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
			
					$sqlIDPK = "select max(ID) as ultimo_FOLIOPK from tabla_kardex"; 
					$libPK = mysql_query($sqlIDPK); 
					$rs_libPK = mysql_fetch_assoc($libPK); 
					$id_nuevoPK = $rs_libPK['ultimo_FOLIOPK'] + 1;
					
					/////Guardar el Registro nuevo en el Kardex
					$NombreMovimiento="DIVISION";
					$FechaEnt=date("Y/m/d");
					$resultadok=mysql_query("insert tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,FECHA,HORA,USUARIO)
					values('$id_nuevoPK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','DIVISION','$d[UBICACION]','$ClavePallet','$unidades','$FechaEnt','$HoraOK','$UsuEn')") or die(mysql_error());
					
					$Hora=time();
					$HoraOK=date("H:i:s",$Hora);
					$Fecha=date("Y/m/d");
					
					$sqlIDK = "select max(ID) as ultimo_FOLIOK from tabla_kardex"; 
					$libK = mysql_query($sqlIDK); 
					$rs_libK = mysql_fetch_assoc($libK); 
					$id_nuevoK = $rs_libK['ultimo_FOLIOK'] + 1;
					$NMovimiento="TRASPASO";
					
					$sq=mysql_query("select * from tabla_inventario where NO_PALLET='$palletx' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1'");
					$d=mysql_fetch_array($sq);								
					
					//////Guardar el registro a MENOS en la Table_Kardex//////////
					$sqlKMEN = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
					values('$id_nuevoK','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento -','$d[UBICACION]','$ClavePallet','-$unidades','$HoraOK','$Fecha','$UsuEn')";
					$resultadoKMEN=mysql_query($sqlKMEN) or die(mysql_error());
					
					$id_nuevoK2 = $rs_libK['ultimo_FOLIOK'] + 2;
					
					//////Guardar el registro a MAS en la Table_Kardex//////////
					$sqlKMAS = "insert into tabla_kardex (ID,CVE_BODEGA,CVE_CUENTA,SKU,SKU_ALT,NO_DOCUMENTO,MOVIMIENTO,CLAVEUBICACION,PALLET,PIEZAS,HORA,FECHA,USUARIO)
					values('$id_nuevoK2','$CveBodCR1','$CveCueCR1','$d[SKU]','$d[SKU_ALT]','$d[NO_DOCUMENTO]','$NMovimiento +','$ubdestino','$ClavePallet','$unidades','$HoraOK','$Fecha','$UsuEn')";
					$resultadoKMAS=mysql_query($sqlKMAS) or die(mysql_error());
				}
			}
		
		if($cantidad>0){
			kardex($cantidad,$pallet,$ut);
			}
		
		function tarea_bulk($SKU,$UBICACION,$NO_PALLET,$CANTIDAD,$ID,$COMMENT,$estado,$prio){
						global $CveCueCR1;
						global $CveBodCR1;
						global $conexion;
						$idmax = mysql_query("SELECT MAX(ID) FROM tabla_tareas_bulk");
						$idm=mysql_fetch_array($idmax);
						$newid = $idm[0]+1;
						if($CANTIDAD>0){
							$updt=mysql_query("INSERT INTO tabla_tareas_bulk VALUES('$newid','$CveBodCR1','$CveCueCR1','$SKU','$UBICACION','$NO_PALLET','$estado','$CANTIDAD','0','$ID','$COMMENT','','','',$prio)");
							}						
						}
						
		if($cantidad<$tarea['CANT_X_T']){
		//crear tarea
		$total = $tarea['CANT_X_T']-$cantidad;
		//echo "<script>alert('Generando tarea, faltan: $total')</script>";
		$reserv=0;
		$newt = mysql_query("select tabla_inventario.*,tabla_prioridad.prioridad from tabla_inventario LEFT JOIN tabla_prioridad ON tabla_prioridad.CVE_BODEGA = tabla_inventario.CVE_BODEGA AND tabla_prioridad.CVE_CUENTA = tabla_inventario.CVE_CUENTA AND tabla_prioridad.UBICACION = tabla_inventario.UBICACION where tabla_inventario.SKU='$sku' AND tabla_inventario.CVE_CUENTA='$CveCueCR1' AND tabla_inventario.CVE_BODEGA='$CveBodCR1' AND (tabla_inventario.TIPO_UBICACION!='BULK-TEMPORAL' AND tabla_inventario.TIPO_UBICACION!='BULK') AND tabla_inventario.NO_PALLET NOT IN (SELECT NO_PALLET FROM tabla_tareas_bulk WHERE CVE_CUENTA='$CveCueCR1' AND CVE_BODEGA='$CveCueCR1' AND ID_BULK='$tarea[ID_BULK]' AND (ESTATUS='ESPERA' OR ESTATUS='CARGADO'))");

		if(mysql_numrows($newt)>0){
			while($inv = mysql_fetch_array($newt) and ($reserv<$total)){
								if(($total-$reserv)>=$inv['CANTIDAD']){
									//total
									tarea_bulk($tarea['SKU'],$inv['UBICACION'],$inv['NO_PALLET'],$inv['CANTIDAD'],$tarea['ID_BULK'],'','ESPERA',$inv['PRIORIDAD']);
									//echo "<script>alert('tarea: $inv[CANTIDAD] piezas; ($total-$reserv)>=$inv[CANTIDAD]')</script>";
									$reserv = $reserv+$inv['CANTIDAD'];
									}else{
									//parcial
										$cant=$total-$reserv;
										tarea_bulk($tarea['SKU'],$inv['UBICACION'],$inv['NO_PALLET'],$cant,$tarea['ID_BULK'],'','ESPERA',$inv['PRIORIDAD']);
										//echo "<script>alert('tarea: $cant piezas')</script>";
										$reserv = $reserv+$cant;
									}}}
									//exit();
									}
		$Hora=time();
		$HoraOK=date("H:i:s",$Hora);
		$Fecha=date("Y/m/d");
		
		$UPDT = mysql_query("update tabla_tareas_bulk SET ESTATUS='CARGADO',UBICACION='$ut', CANT_S='$cantidad',F_EJEC='$Fecha',H_EJEC='$HoraOK',U_EJEC='$UsuEn' WHERE ID='$idtarea'");
		$UPDT = mysql_query("update tabla_bulk SET CANTIDAD_S=CANTIDAD_S + $cantidad WHERE ID='$tarea[ID_BULK]'");
		//echo "update tabla_bulk SET CANTIDAD_S=CANTIDAD_S + $cantidad,F_EJEC='$Fecha',H_EJEC='$HoraOK',U_EJEC='$UsuEn' WHERE ID='$tarea[ID_BULK]'";exit;
		//check if cantidad<solicitada: crear tarea (function true,false)
		$tareasbulk = mysql_query("SELECT ID FROM tabla_tareas_bulk WHERE ESTATUS='ESPERA' AND CVE_BODEGA='$CveBodCR1' AND CVE_CUENTA='$CveCueCR1' AND ID_BULK='$tarea[ID_BULK]'");
		
		$tblk = mysql_query("select * from tabla_bulk WHERE ID='$tarea[ID_BULK]'");
		$blk = mysql_fetch_array($tblk);
		
		if($blk['CANTIDAD_S']==$blk['CANTIDAD_X_S'] OR (mysql_numrows($tareasbulk)==0)){
		//echo "<script>alert('Línea de bulk surtida')</script>";
		$UPDT = mysql_query("update tabla_bulk SET ESTADO='SURTIDO' WHERE ID='$tarea[ID_BULK]'");
		}
		echo "<META HTTP-EQUIV=Refresh CONTENT='0; URL=9-carga.php?UsuKP=$UsuEn&IdDAcce=$IDSeEn&TokenKP=$TokEn&CtaSKP=$CtaSesionEn&VPN=$VpnEn&LT=$LtEn&Cve_ModuloKP=$Cve_Modulo&ut=$ut'>";
		                                                                                            
} ///Termina IF Permiso de Acceso 3
} ///Termina IF Permiso de Acceso 2
} ///Termina IF Permiso de Acceso 1
} ///Termina IF Sesion del Token
?>

</body>
</html>
